<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CustomerValidator.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testing</a> &gt; <a href="index.source.html" class="el_package">com.softwaretesting.testing.validator</a> &gt; <span class="el_source">CustomerValidator.java</span></div><h1>CustomerValidator.java</h1><pre class="source lang-java linenums">package com.softwaretesting.testing.validator;

import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.server.ResponseStatusException;

import java.util.Optional;

@Component
<span class="fc" id="L10">public class CustomerValidator {</span>
    /**
     * The following method could  be reused for any entity, to check
     * whether the given Optional is present or not. If not present then it's a 404 error.
     *
     * [Customer] with [User-Name] [Jacob] does not exist.
     *
     * @param object
     * @param label
     * @param value
     * @param &lt;T&gt;
     */
    public &lt;T&gt; void validate404(Optional&lt;T&gt; object, String label, String value) {
<span class="fc bfc" id="L23" title="All 2 branches covered.">        if (!object.isPresent()) {</span>
<span class="fc" id="L24">            throw new ResponseStatusException(HttpStatus.NOT_FOUND,</span>
<span class="fc" id="L25">                    object.getClass().getName() + &quot; with &quot; + label + &quot;'&quot; + value + &quot;' does not exist.&quot;, null);</span>
        }
<span class="fc" id="L27">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.10.202304240956</span></div></body></html>